package models

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type ReportViewLog struct {
	Id         int       `orm:"column(id);pk"`
	UserId     int       `description:"用户id"`
	ReportId   int       `description:"报告id"`
	CreateTime time.Time `description:"创建时间"`
}

//添加报告阅读记录
func AddReportViewLog(item *ReportViewLog) (err error) {
	o := orm.NewOrmUsingDB("rddp")
	_, err = o.Insert(item)
	return
}
